<html lang="en">
<head>
<title>Information - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Edit.html#Edit" title="Edit">
<link rel="prev" href="Complete.html#Complete" title="Complete">
<link rel="next" href="Indent.html#Indent" title="Indent">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Information"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Indent.html#Indent">Indent</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Complete.html#Complete">Complete</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Edit.html#Edit">Edit</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">8.3 Showing information</h3>

<p>Commands for showing information obtained by parsing the buffer.

     
<a name="index-C_002dc-C_002dc-91"></a>
<a name="index-sgml_002dshow_002dcontext-92"></a>
<dl><dt><kbd>C-c C-c</kbd><dd>Shows in the message area: context at point, if in a tag or in mixed
content and the open elements (<code>sgml-show-context</code>).

     <p><a name="index-C_002dc-C_002dw-93"></a><a name="index-sgml_002dwhat_002delement-94"></a><br><dt><kbd>C-c C-w</kbd><dd>Shows what element the character after point (under the cursor) belongs
to; also shows context of element (<code>sgml-what-element</code>).

     <p><a name="index-C_002dc-C_002dt-95"></a><a name="index-sgml_002dlist_002dvalid_002dtags-96"></a><br><dt><kbd>C-c C-t</kbd><dd>List contextually valid tags (<code>sgml-list-valid-tags</code>).  Displays
information about current element, all valid end-tags, valid start-tags
in current element, and start-tags valid at this point but in other
elements together with the tags omitted. 
</dl>

   <p>You can make the mode-line display the name of the current open element
by setting the <code>sgml-live-element-indicator</code> variable.  Setting
this will make all commands slower due to the work needed to keep the
mode-line up to date.

<div class="defun">
&mdash; User Option: <b>sgml-live-element-indicator</b><var><a name="index-sgml_002dlive_002delement_002dindicator-97"></a></var><br>
<blockquote><p>If non-nil, indicate current element in mode line.

        <p>NOTE: Setting this implies that every command can cause a parse. 
</p></blockquote></div>

<!--  -->
</body></html>

